Bug 22809 - Move "INVOICE" from template to a slip
Summary: Move "INVOICE" from template to a slip
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 22761
Blocks: 23325
  Show dependency treegraph
 
Reported: 2019-04-30 11:40 UTC by Kyle M Hall
Modified: 2019-07-19 09:21 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This enhancement allows the 'Invoice' slip to be configurable by the library in the Tools->Notices and slips page
Version(s) released in:
19.05.00


Attachments
Bug 22809 - Move "INVOICE" from template to a slip (9.90 KB, patch)
2019-04-30 12:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22809: Move "INVOICE" from template to a slip (9.96 KB, patch)
2019-04-30 19:43 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22809: (QA follow-up) add bug description to atomicupdate (985 bytes, patch)
2019-04-30 19:43 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22809: Move "INVOICE" from template to a slip (9.99 KB, patch)
2019-05-02 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22809: (QA follow-up) add bug description to atomicupdate (1.03 KB, patch)
2019-05-02 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22809: (QA follow-up) Add notice translations (28.96 KB, patch)
2019-05-02 11:45 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-04-30 11:40:57 UTC
Just as bug 22761 moves the "Fee receipt" to the ACCOUNT_CREDIT slip, we need to move the "INVOICE" to an ACCOUNT_DEBIT slip.
Comment 1 Kyle M Hall 2019-04-30 12:01:48 UTC
Created attachment 89115 [details] [review]
Bug 22809 - Move "INVOICE" from template to a slip

Just as bug 22761 moves the "Fee receipt" to the ACCOUNT_CREDIT slip, we need to move the "INVOICE" to an ACCOUNT_DEBIT slip.

Test Plan:
1) Apply this patch set
2) Restart all the things
3) Use the "print" button beside a *fee*
4) You should not see any difference from before the patches were applied
Comment 2 Liz Rea 2019-04-30 19:43:42 UTC
Created attachment 89155 [details] [review]
Bug 22809:  Move "INVOICE" from template to a slip

Just as bug 22761 moves the "Fee receipt" to the ACCOUNT_CREDIT slip, we need to move the "INVOICE" to an ACCOUNT_DEBIT slip.

Test Plan:
1) Apply this patch set
2) Restart all the things
3) Use the "print" button beside a *fee*
4) You should not see any difference from before the patches were applied

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Liz Rea 2019-04-30 19:43:50 UTC
Created attachment 89156 [details] [review]
Bug 22809: (QA follow-up) add bug description to atomicupdate

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Liz Rea 2019-04-30 19:44:19 UTC
Also fixed your commit message to make the QA tools happy :D
Comment 5 Martin Renvoize 2019-05-02 11:45:51 UTC
Created attachment 89229 [details] [review]
Bug 22809: Move "INVOICE" from template to a slip

Just as bug 22761 moves the "Fee receipt" to the ACCOUNT_CREDIT slip, we need to move the "INVOICE" to an ACCOUNT_DEBIT slip.

Test Plan:
1) Apply this patch set
2) Restart all the things
3) Use the "print" button beside a *fee*
4) You should not see any difference from before the patches were applied

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-05-02 11:45:54 UTC
Created attachment 89230 [details] [review]
Bug 22809: (QA follow-up) add bug description to atomicupdate

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2019-05-02 11:45:57 UTC
Created attachment 89231 [details] [review]
Bug 22809: (QA follow-up) Add notice translations

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2019-05-02 11:47:50 UTC
Another nice little enhancement.. works well and no obvious regressions.

Passing QA
Comment 9 Nick Clemens 2019-05-10 14:53:50 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-05-17 13:41:09 UTC
Enhancement will not be backported to 18.11.x series